Core - Task # 46364

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Closed Priority: Should have

Author: Thomas Loffler Category: FormEngine aka TCEforms
Created: 2013-03-16 Assigned To:

Updated: 2014-12-08 Due date:

TYPOS3 Version: 6.1

PHP Version:

Complexity:

Sprint Focus:

Subiject: Refactored JS for IRRE elements

Description

Refactoring of the JavaScript for the IRRE element handling.
Moved JS code to typo3/backend/Resources/Public/JavaScript/InlineElement.js

For testing: Use an extension with IRRE elements like "powermail”.

Related issues:
related to Core - Task # 55572: Switch IRRE to jQuery Resolved

2014-02-02

History

#1 - 2013-03-16 17:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18982

#2 - 2014-02-25 13:04 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18982

#3 - 2014-03-10 16:55 - Daniel Siepmann
- Parent task set to #55575

#4 - 2014-12-08 18:25 - Benjamin Mack

- Status changed from Under Review to Closed

already done.
